org.apache.poi.hemf.record.emf

## Class HemfDraw.EmfStrokeAndFillPath

- java.lang.Object
- - org.apache.poi.hemf.record.emf.HemfDraw.EmfStrokePath
  - - org.apache.poi.hemf.record.emf.HemfDraw.EmfStrokeAndFillPath

- All Implemented Interfaces:
    GenericRecord, HemfRecord
  Enclosing class:
    HemfDraw

      public static class HemfDraw.EmfStrokeAndFillPath
      extends HemfDraw.EmfStrokePath

  The EMR_STROKEANDFILLPATH record closes any open figures in a path, strokes the outline of the path by using the current pen, and fills its interior by using the current brush.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.geom.Rectangle2D` | `bounds`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfStrokeAndFillPath()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HemfRecordType` | `getEmfRecordType()`

    - ### Methods inherited from class org.apache.poi.hemf.record.emf.HemfDraw.EmfStrokePath

      `getBounds, getGenericProperties, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfRecord

      `getGenericRecordType, setHeader`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Field Detail

    - #### bounds

          protected final java.awt.geom.Rectangle2D bounds

  - ### Constructor Detail

    - #### EmfStrokeAndFillPath

          public EmfStrokeAndFillPath()

  - ### Method Detail

    - #### getEmfRecordType

          public HemfRecordType getEmfRecordType()

      Specified by:
        `getEmfRecordType` in interface `HemfRecord`
      Overrides:
        `getEmfRecordType` in class `HemfDraw.EmfStrokePath`

    - #### draw

          public void draw(HemfGraphics ctx)

      Description copied from interface: `HemfRecord`
      Draws the record, the default redirects to the parent WMF record drawing
      Specified by:
        `draw` in interface `HemfRecord`
      Overrides:
        `draw` in class `HemfDraw.EmfStrokePath`
      Parameters:
        `ctx` - the drawing context

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.